import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  paymentId: z.literal(true).optional(),
  serviceLineId: z.literal(true).optional(),
  paidAmount: z.literal(true).optional(),
  adjustedAmount: z.literal(true).optional()
}).strict();
export const ServiceLineTransactionAvgAggregateInputObjectSchema: z.ZodType<Prisma.ServiceLineTransactionAvgAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineTransactionAvgAggregateInputType>;
export const ServiceLineTransactionAvgAggregateInputObjectZodSchema = makeSchema();
